<nav class="navbar">
   <h1>Dynamic component</h1>
</nav>
<button class="btn" (click)="modal= true">Show Modal</button>
<appModalBox title="Dynamic component" *ngIf="modal" (close)="modal=false"></appModalBox>